Đến nội dung


Hình ảnh
- - - - -

Nối nhiều đường polyline vuông góc.


  • Please log in to reply
6 replies to this topic

#1 hung_xu20032000

hung_xu20032000

    biết vẽ ellipse

  • Members
  • PipPip
  • 52 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 01 September 2014 - 11:44 PM

Mình có 1 đường polyline dài và nhiều đường polyline nhỏ. Đường polyline nhỏ vuông góc với đường polyline dài. Làm thế nào để tạo được 1 đường polyline để nối tất cả các đường thẳng đó với nhau không ạ. Ecảm ơn các bác. http://www.cadviet.c...duong_noi_1.dwg


  • 0

#2 thanhduan2407

thanhduan2407

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 992 Bài viết
Điểm đánh giá: 223 (khá)

Đã gửi 02 September 2014 - 07:25 AM

Vẽ lại bằng tay nhé bạn. Chơi đánh đố nhau à? Lười quá đi. 


  • 0



Tôi là con kiến bò trên sa mạc kiến thức bao la. Biển học thật rộng lớn







#3 hung_xu20032000

hung_xu20032000

    biết vẽ ellipse

  • Members
  • PipPip
  • 52 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 02 September 2014 - 08:57 AM

Thì e mới nhờ các bác. Của e nhiều quá. Nối lại mệt quá. E đã dùng thử pe/j rồi mà không được


  • 0

#4 Tot77

Tot77

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 990 Bài viết
Điểm đánh giá: 498 (tốt)

Đã gửi 02 September 2014 - 10:07 AM

Không hiểu bạn vẽ cái đó để làm gì nữa, có thể post 1 file ví dụ xem nó cắt nhau thế nào.


  • 0

#5 tien2005

tien2005

    biết lệnh properties

  • Members
  • PipPipPipPip
  • 257 Bài viết
Điểm đánh giá: 94 (tàm tạm)

Đã gửi 02 September 2014 - 10:42 AM

Mình thấy khi tạo được polyline mới thì nó sẽ cắt ziczac đường polyline dài của bạn. Qui tắc tạo polyline mới của bạn ntn? Cái này còn phụ thuộc vào chiều vẽ của các polyline ngắn. Thử up 1 bản vẽ hoàn chỉnh lên xem ntn
  • 0

#6 tien2005

tien2005

    biết lệnh properties

  • Members
  • PipPipPipPip
  • 257 Bài viết
Điểm đánh giá: 94 (tàm tạm)

Đã gửi 02 September 2014 - 02:05 PM

Bản vẽ của bạn là các line không phải polyline, các line được vẽ từ trái qua phải, từ trên xuống dưới. Bạn dùng lisp sau để tạo polyline, mình làm nhanh nên sẽ đúng về hình dạng, polyline ở layer hiện hành và có màu số 5 (xanh dương)

(defun c:test (/ ss lst)
  (defun dxf (code e) (cdr (assoc code (entget e))))
  (defun Make-LWPolyline
			 (listpoint closed Color / Lst)
    (setq Lst (list '(0 . "LWPOLYLINE")
		    '(100 . "AcDbEntity")

		    (cons 62
			  (if Color
			    Color
			    256
			  )
		    )
		    '(100 . "AcDbPolyline")
		    (cons 90
			  (if closed
			    (1+ (length listpoint))
			    (length listpoint)
			  )
		    )
		    (cons 70
			  (if closed
			    1
			    0
			  )
		    )
	      )
    )
    (foreach PP	listpoint
      (setq Lst (append Lst (list (cons 10 PP))))
    )
    (entmakex Lst)
  )
  (princ "\nChon cac line: ")
  (if (setq ss (ssget '((0 . "line"))))
    (progn
      (setq
	ss (vl-sort
	     (vl-remove-if 'listp (mapcar 'cadr (ssnamex ss)))
	     (function
	       (lambda (a b) (< (car (dxf 10 a)) (car (dxf 10 b))))
	     )
	   )
      )
      (foreach n ss
	(setq lst (append lst (list (dxf 10 n) (dxf 11 n) (dxf 10 n))))
      )					;for
      (Make-LWPolyline lst nil 5)
    )					;progn
  )					;if
  (princ)
)

 


  • 1

#7 hung_xu20032000

hung_xu20032000

    biết vẽ ellipse

  • Members
  • PipPip
  • 52 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 02 September 2014 - 02:50 PM

ố là là. bác tien2005 làm đúng ý e luôn. E cảm ơn bác tien 2005 và các bác khác nhá. Đầu bài vẫn như thế. Bác hộ e với đường thẳng bất kỳ. (Có thể là polyline hoặc line ạ)


  • 0